
   :root {
      --primary-color: rgb(84, 109, 48);
      --primary-dark: rgb(65, 85, 38);    /* for hover */
      --primary-darker: rgb(54, 70, 31);  /* for active */
      --secondary-color: rgb(113, 113, 117);
      --disabled-bg: #ddd;
      --disabled-text: #888;
      --asef: rgb(84, 109, 48);
      --asefg: rgb(113,113,117);
      --asefgt: rgb(113,113,117,0.5);
      --button:#003399;
  
    }
  
  .buttonClass {
    font-size:15px;
    font-family:Arial;
    max-width:140px;
    height:50px;
    border-width:1px;
    color:rgba(250, 243, 243, 1);
    border-color:rgba(71, 75, 71, 1);
    font-weight:bold;
    border-top-left-radius:10px;
    border-top-right-radius:10px;
    border-bottom-left-radius:10px;
    border-bottom-right-radius:10px;
    text-shadow: 1px 1px 0px rgba(110, 150, 102, 1);
    background:var(--asef);
}

.buttonClass:hover {
    background: rgba(210, 226, 194, 1);
    color:rgba(0, 0, 0);
}

.bg-asef{

  background: var(--asefg)!important ;
}
.text-asefg{
  color:var(--asefg);

}


  .list-task { list-style: none; 
    padding: 0; 
    margin: 0; 
    border-radius:10px;
    
    
  }
  .list-task li{
    background:#fff;
    transition: box-shadow .2s ease, transform .2s ease;
  }
  .list-task li:hover,
  .list-task li:focus-within { /* accesible con teclado */
    box-shadow: 0 8px 20px rgba(0,0,0,.12);
    transform: translateY(-2px);
    background-color: #eaeaea;
  }

.task-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.task-toolbar {
  background-color: rgb(245,245,245);
  box-shadow: 0 2px 6px rgba(0,0,0,0.05);
  padding: 5px;
  display: flex;
  gap: 8px;
  border: none;
  border-radius: 2px;
}

.list-group-item:hover .task-toolbar {
  opacity: 1;
}

.task-toolbar button {

    width: 20px;          /* very small square */
    height: 20px;
    padding: 0;           /* remove extra space */
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 4px;   /* slightly rounded corners */
    background-color: rgb(119, 163, 193);
    border: none;
    transition: background-color 0.2s ease, transform 0.15s ease;


}
.task-toolbar button i{
  font-size: 0.8rem;    /* smaller icon */
  color: #fff;
    

}


.task-toolbar button:hover {
  background-color: rgb(104, 134, 60);
  box-shadow: 0 4px 12px rgba(0,0,0,.25);
  color:whitesmoke;
}

.toolbar-wrapper {
  display: flex;
  /*justify-content: flex-end; /* Right align the toolbar */
  justify-content: flex-start;
  padding-top: 10px;
  padding-bottom: 10px;
}

.toolbar {
  display: flex;
  flex-direction: row;
  gap: 16px;
  align-items: center;
  background-color: #f8f9fa;
  padding: 6px 12px;
  border-radius: 6px;
}

.toolbar button {
  background: none;
  border: none;
  font-size: 20px;
  padding: 6px;
  border-radius: 4px;
  cursor: pointer;
}

.toolbar button:hover {
  background-color: #e2e6ea;
}
.main{
  padding: 0;
  margin: 0;
}

.btn-sm-toolbar:hover {
    background-color: rgb(72,172,239)!important ;
    
    transform: translateY(-1px);
    box-shadow: 0 2px 6px rgba(0,0,0,0.2);
}
.btn-sm-toolbar i:hover {
  color:var(--asef);
}


.content {
  margin-left: 180px;
  margin-top: 70px;
  padding: 0;
  padding-right: 1rem;
  transition: margin-left 0.3s ease;
}
.content.collapsed {
  margin-left: 50px;
  padding-left: 10px;
}

.dropend > .dropdown-menu{
  top: 0;
  left: 100%;
  margin-left: .15rem;
}
.dropdown-item.dropdown-toggle::after{
  float:right;
  margin-top:.35rem;
}
.text-justify{
  text-align: justify;
}